dedicated IP's weergeven
Lijst met speciale IPs zichtbaar voor het publiek API-principal.
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"type": "<string>",
"asn": 123,
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"ip_addresses": [
{
"ip": "<string>",
"fcrdns_confirmed": false,
"healthy": true,
"rdns": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisaties
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Padparameters
Respons
Speciale IPs op deze pagina
Hide child attributes
Hide child attributes
Speciale IP UUID
Voor de klant zichtbare speciale IP-naam
Inrichtings- of levenscyclusstatus
Speciaal toewijzingstype IP
Autonoom systeemnummer voor de toewijzing
ISO-landcode voor de toewijzing
Tijdstempel van creatie
Openbare adressen in deze toewijzing
Hide child attributes
Hide child attributes
Openbaar IP-adres
Of voorwaarts bevestigde achteruit DNS is geslaagd
Huidige gezondheidsstatus, indien beschikbaar
Keer de hostnaam DNS om indien geconfigureerd
Tijdstempel laatste update
Huidig, op één gebaseerd paginanummer
Maximaal aantal items per pagina
Totaal passend toegewezen IPs
Was deze pagina nuttig?
